//Source file: Constants.java
//Date: June 2005
//User Interaction Data Types for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * This interface contains constants not associated with any type, but associated with the package org.csapi.jr.se.ui
 *
 */
public interface Constants {

    /**
     * The User Interaction Call shall send a response when the request has completed.
     */
    public static final int UI_RESPONSE_REQUIRED = 1;

    /**
     * This is the final announcement within a sequence. It might, however, be that additional announcements will be requested at a later moment. The User Interaction Call service may release any used resources in the network. The UI object will not be released.
     */
    public static final int UI_LAST_ANNOUNCEMENT_IN_A_ROW = 2;

    /**
     * This is the final request. The UI object will be released after the information has been presented to the user.
     */
    public static final int UI_FINAL_REQUEST = 4;

} // org.csapi.jr.se.ui.Constants
