//Source file: Notifications.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a Notifications activity object.<BR>
 *
 */
public interface Notifications extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UIManager responsible for creation of the Notifications.
     *
     * @return  A reference to the UIManager responsible for creation of the Notifications.
     */
    org.csapi.jr.se.ui.UIManager getUIManager();

    /**
     * Adds a NotificationsListener which is interested in events generated by the Notifications.
     *
     * @param  notificationsListener  A reference to the NotificationsListener which is to be added as
     *        a listener.
     */
    void addNotificationsListener(org.csapi.jr.se.ui.NotificationsListener notificationsListener);

    /**
     * Removes a NotificationsListener which is no longer interested events generated by the Notifications.
     *
     * @param  notificationsListener  A reference to the NotificationsListener which is to be removed as
     *        a listener.
     */
    void removeNotificationsListener(org.csapi.jr.se.ui.NotificationsListener notificationsListener);

    /**
     * Invokes the enableNotifications() method on the Parlay Gateway.
     */
    void enableNotifications()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;


}
