//Source file: NotificationsListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the Notifications activity object.<BR>
 *
 */
public interface NotificationsListener extends java.util.EventListener {

   /**
    * Called due to a Gateway initiated call to the reportNotification() method on
    * the callback interface.
    *
    * @deprecated  This method is deprecated and will be removed in a later release.
    * It is strongly recommended not to implement this method.
    * reportNotification has been replaced by reportEventNotification() and thus this method
    * has been replaced by onReportEventNotificationEvent().
    */
    void onReportNotificationEvent(org.csapi.jr.se.ui.ReportNotificationEvent reportNotificationEvent);

   /**
    * Called due to a Gateway initiated call to the reportEventNotification() method on
    * the callback interface.
    *
    * @param  reportEventNotificationEvent  Reference to a ReportEventNotificationEvent event
    *        emmited from the impl or activity object.
    */
    void onReportEventNotificationEvent(org.csapi.jr.se.ui.ReportEventNotificationEvent reportEventNotificationEvent);

}
