//Source file: RecordMessageListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the RecordMessage activity object.<BR>
 *
 */
public interface RecordMessageListener extends java.util.EventListener {

    /**
     * Invoked when the request to record a message was successful.
     *
     * @param  recordMessageResEvent  Reference to a RecordMessageResEvent event
     *      emitted from the activity object.
     */
     void onRecordMessageResEvent(org.csapi.jr.se.ui.RecordMessageResEvent recordMessageResEvent);


    /**
     * Invoked when the request to record a message was unsuccessful.
     *
     * @param  recordMessageErrEvent  Reference to a RecordMessageErrEvent event
     *      emitted from the activity object.
     */
     void onRecordMessageErrEvent(org.csapi.jr.se.ui.RecordMessageErrEvent recordMessageErrEvent);


    /**
     * Invoked when the request to abort a user interaction operation on a
     * call/call leg was successful.
     *
     * @param  abortActionResEvent  Reference to an AbortActionResEvent event emitted
     *      from the activity object.
     */
     void onAbortActionResEvent(org.csapi.jr.se.ui.AbortActionResEvent abortActionResEvent);


    /**
     * Invoked when the request to abort a user interaction operation on a
     * call/call leg was unsuccessful.
     *
     * @param  abortActionErrEvent  Reference to an AbortActionErrEvent event emitted
     *      from the activity object.
     */
     void onAbortActionErrEvent(org.csapi.jr.se.ui.AbortActionErrEvent abortActionErrEvent);

}
