//Source file: RecordMessageResEvent.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the recordMessageRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class RecordMessageResEvent extends java.util.EventObject {

    /**
     * Constructor for the RecordMessageResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public RecordMessageResEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UIReport response,
        int                             messageID) {

        super(source);
      this.response = response;
      this.messageID = messageID;
 
    }

    org.csapi.jr.se.ui.UIReport response;

    /**
     *  This method is used to retrieve the parameter value of 'response' passed up
     *  from the Gateway in it's call to the recordMessageRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'response' used on creation of this event.
     */
    public org.csapi.jr.se.ui.UIReport getResponse() {

        return this.response;
    }
       
    int                             messageID;

    /**
     *  This method is used to retrieve the parameter value of 'messageID' passed up
     *  from the Gateway in it's call to the recordMessageRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'messageID' used on creation of this event.
     */
    public int getMessageID() {

        return this.messageID;
    }
       
}

