//Source file: ReportNotificationEvent.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated
 * call to the reportNotification() method on the callback interface
 * has occured.<BR>
 *
 * @deprecated  This event is deprecated and will be removed in a later release.
 * It is strongly recommended not to implement this event.
 * ReportNotificationEvent() has been replaced by ReportEventNotificationEvent().
 */
public final class ReportNotificationEvent extends java.util.EventObject {

    /**
     * Constructor for the ReportNotificationEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ReportNotificationEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UI interfaceRef,
        org.csapi.jr.se.ui.UIEventInfo eventInfo) {

        super(source);
        this.uI = interfaceRef;
      this.eventInfo = eventInfo;
 
    }

    org.csapi.jr.se.ui.UI uI = null;

    /**
     *  This method is used to retrieve the UI, associated with this event.
     *
     * @return    The UI associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.ui.UI getUI() {

        return this.uI;
    }

    org.csapi.jr.se.ui.UIEventInfo eventInfo;

    /**
     *  This method is used to retrieve the parameter value of 'eventInfo' passed up
     *  from the Gateway in it's call to the reportNotification() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'eventInfo' used on creation of this event.
     */
    public org.csapi.jr.se.ui.UIEventInfo getEventInfo() {

        return this.eventInfo;
    }
       
}

