//Source file: SendInfo.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a SendInfo activity object.<BR>
 *
 */
public interface SendInfo extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UIGeneric responsible for creation of the SendInfo.
     *
     * @return  A reference to the UIGeneric responsible for creation of the SendInfo.
     */
    org.csapi.jr.se.ui.UIGeneric getUIGeneric();

    /**
     * Adds a SendInfoListener which is interested in events generated by the SendInfo.
     *
     * @param  sendInfoListener  A reference to the SendInfoListener which is to be added as
     *        a listener.
     */
    void addSendInfoListener(org.csapi.jr.se.ui.SendInfoListener sendInfoListener);

    /**
     * Removes a SendInfoListener which is no longer interested events generated by the SendInfo.
     *
     * @param  sendInfoListener  A reference to the SendInfoListener which is to be removed as
     *        a listener.
     */
    void removeSendInfoListener(org.csapi.jr.se.ui.SendInfoListener sendInfoListener);

    /**
     * Invokes the sendInfoReq() method on the Parlay Gateway.
     */
    void sendInfoReq(
           org.csapi.jr.se.ui.UIInfo info,
           java.lang.String                language,
           org.csapi.jr.se.ui.UIVariableInfo[] variableInfo,
           int                             repeatIndicator,
           int                             responseRequested)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.ui.IllegalIdException;
}
