//Source file: SendInfoResEvent.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the sendInfoRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class SendInfoResEvent extends java.util.EventObject {

    /**
     * Constructor for the SendInfoResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SendInfoResEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UIReport response) {

        super(source);
      this.response = response;
 
    }

    org.csapi.jr.se.ui.UIReport response;

    /**
     *  This method is used to retrieve the parameter value of 'response' passed up
     *  from the Gateway in it's call to the sendInfoRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'response' used on creation of this event.
     */
    public org.csapi.jr.se.ui.UIReport getResponse() {

        return this.response;
    }
       
}

