//Source file: UI.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a UI.<BR>
 *
 */
public interface UI extends org.csapi.jr.se.Service {

    /**
     * Adds a UIListener which is interested in events generated by the UI.
     *
     * @param  uIListener  A reference to the UIListener which is to be added as
     *         a listener.
     */
    void addUIListener(org.csapi.jr.se.ui.UIListener uIListener);

    /**
     * Removes a UIListener which is no longer interested in events generated by the UI.
     *
     * @param  uIListener  A reference to the UIListener which is to be removed as
     *         a listener.
     */
    void removeUIListener(org.csapi.jr.se.ui.UIListener uIListener);

    /**
     * Returns a reference to the UIManager responsible for creation of the UI.
     *
     * @return  A reference to the UIManager responsible for creation of the UI.
     */
    org.csapi.jr.se.ui.UIManager getUIManager();

    /**
     * Invokes the release() method on the Parlay Gateway.
     */
    void release()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the setOriginatingAddress() method on the Parlay Gateway.
     */
    void setOriginatingAddress(
           java.lang.String                origin)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.InvalidAddressException;

    /**
     * Invokes the getOriginatingAddress() method on the Parlay Gateway.
     */
    java.lang.String getOriginatingAddress()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException;

}
