//Source file: UICall.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a UICall.<BR>
 * A call-related User Interaction, providing methods to send information to, or gather 
 * information from the user (or call party) to which a call leg is connected.<BR>
 * An application can use the Call User Interaction Service Interface only in conjunction 
 * with another service interface, which provides mechanisms to connect a call leg to a user. 
 * At present, only the Call Control service supports this capability.<BR>
 */
public interface UICall extends org.csapi.jr.se.ui.UI {

    /**
     * Creates a CallRelatedSendInfo object and returns a reference to the
     * interface used to gain access to it's methods.
     *
     * @return    The CallRelatedSendInfo interface.
     */
     org.csapi.jr.se.ui.CallRelatedSendInfo createCallRelatedSendInfo();


    /**
     * Creates a CallRelatedSendInfoAndCollect object and returns a reference to
     * the interface used to gain access to it's methods.
     *
     * @return    The CallRelatedSendInfoAndCollect interface.
     */
     org.csapi.jr.se.ui.CallRelatedSendInfoAndCollect createCallRelatedSendInfoAndCollect();


    /**
     * Creates a DeleteMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the DeleteMessage interface.
     */
    org.csapi.jr.se.ui.DeleteMessage createDeleteMessage();

    /**
     * Creates a RecordMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the RecordMessage interface.
     */
    org.csapi.jr.se.ui.RecordMessage createRecordMessage();

}
