//Source file: UserInteractionFaultDetectedEvent.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V5.10.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the userInteractionFaultDetected() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class UserInteractionFaultDetectedEvent extends java.util.EventObject {

    /**
     * Constructor for the UserInteractionFaultDetectedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public UserInteractionFaultDetectedEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UIFault fault) {

        super(source);
      this.fault = fault;
 
    }

    org.csapi.jr.se.ui.UIFault fault;

    /**
     *  This method is used to retrieve the parameter value of 'fault' passed up
     *  from the Gateway in it's call to the userInteractionFaultDetected() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'fault' used on creation of this event.
     */
    public org.csapi.jr.se.ui.UIFault getFault() {

        return this.fault;
    }
       
}

